# nnfw

A high-performance, on-device neural network inference framework

## Goal
This project _nnfw_ aims at providing a high-performance, on-device neural network (NN) inference
framework that performs inference of a given NN model on processors, such as CPU, GPU, or NPU, in
the target platform, such as Tizen and Smart Machine Platform (SMP).

## About this _experimental_ release
_Experimental_ means the Tizen M1 release of _nnfw_ has very limited capability, which could only
run InceptionV3, and would have very limited support from the developers.  And, the backward
compatibility in the future release, e.g., one planned in October, might not be guaranteed.

## How-to documents
- [How to add unittest using gtest](docs/howto/HowToAddUnittest.md)
